/*
 * Author: Stefan Andritoiu <stefan.andritoiu@intel.com>
 * Copyright (c) 2015 Intel Corporation.
 *
 * Permission is hereby granted, free of charge, to any person obtaining
 * a copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
 * LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

public class Hmc5883l_Example {

	public static void main(String[] args) throws InterruptedException {
		// ! [Interesting]
		// Instantiate on I2C
		upm_hmc5883l.Hmc5883l compas = new upm_hmc5883l.Hmc5883l(0);

		short[] pos;

		// Set your declination from true north in radians
		compas.set_declination(0.2749f);

		while (true) {
			// Update the coordinates
			compas.update();

			pos = compas.coordinates();
			System.out.println("Coor: " + pos[0] + " " + pos[1] + " " + pos[2]);
			System.out.println("Heading: " + compas.heading() + " Direction:" + compas.direction());

			Thread.sleep(2000);
		}
		// ! [Interesting]
	}

}